---
categories: security
title: Howto GnuPG
...

* Documentation : <https://gnupg.org/documentation/index.html>

[GnuPG](https://gnupg.org/) est une implémentation complète et libre du standard OpenPGP défini par la [RFC4880](https://www.ietf.org/rfc/rfc4880.txt).

## Installation

~~~
apt install gnupg2
~~~

## Configuration

### Agent GPG

~~~
apt install gnupg-agent pinentry-qt
~~~

### Smartcard

~~~
apt install opensc pcscd scdaemon
~~~

## Utilisation

### OpenSSH

~~~
export SSH_AUTH_SOCK=$(gpgconf --list-dirs agent-ssh-socket)
~~~

### Gestionnaire de mot de passe

~~~
apt install pass
~~~

### Firefox

~~~
apt install scute
~~~